aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKaren Arutyunov <karen@codesynthesis.com>2019-08-08 16:24:35 +0300
committerKaren Arutyunov <karen@codesynthesis.com>2019-08-12 21:13:47 +0300
commit0e3ef06a33c87a58019bf16b5757a5cac366ef7c (patch)
tree8836905a122cbec1da3a80081f2c80c275c1b44a
parenta3f9a2d26302f499a4ef490d8bf5af234ddb3250 (diff)
Combine multiple single-character options into a single argument for testscript commands
-rw-r--r--tests/agent/testscript6
-rw-r--r--tests/machine/testscript4
2 files changed, 5 insertions, 5 deletions
diff --git a/tests/agent/testscript b/tests/agent/testscript
index a069c6c..8e66949 100644
--- a/tests/agent/testscript
+++ b/tests/agent/testscript
@@ -37,7 +37,7 @@ rm = $src_base/btrfs-rmdir /build/machines
trace: enumerate_machines: skipping $m/: no subvolume link
EOE
- ln -T -s linux-gcc-1.0 $m/linux-gcc-1
+ ln --no-target-directory -s linux-gcc-1.0 $m/linux-gcc-1
: bootstrap
:
@@ -52,7 +52,7 @@ rm = $src_base/btrfs-rmdir /build/machines
trace: enumerate_machines: bootstrapped linux-gcc
EOE
- ln -T -f -s linux-gcc-1.1 $m/linux-gcc-1
+ ln --no-target-directory -sf linux-gcc-1.1 $m/linux-gcc-1
: re-bootstrap-machine
:
@@ -122,7 +122,7 @@ rm = $src_base/btrfs-rmdir /build/machines
m = /build/machines/default/linux-gcc
+$cp
- +ln -T -s linux-gcc-1.0 $m/linux-gcc-1
+ +ln --no-target-directory -s linux-gcc-1.0 $m/linux-gcc-1
+$* --dump-machines --verbose 1 >- # Bootstrap.
: no-machine
diff --git a/tests/machine/testscript b/tests/machine/testscript
index 16ab6b8..9265334 100644
--- a/tests/machine/testscript
+++ b/tests/machine/testscript
@@ -32,7 +32,7 @@ target = x86_64-unknown-unknown
# Note: similar logic to what we have in Build OS.
#
+mkdir -p $tftp/toolchains/default/
-+curl -s -S -f -L $toolchain_url/toolchain.sha256 >=toolchain.sha256
++curl -sS --fail --location $toolchain_url/toolchain.sha256 >=toolchain.sha256
+sed -n -e 's%^[0-9a-f]+ \*(.+)$%\1%p' toolchain.sha256 | set -e archives
+sed -n -e 's%^(.+/)?build2-toolchain-([^.]+\.[^.]+\.[^-]+(-[ab]\.[^.+]+)?).*\.tar.*%\2%p' <"$archives" | set version
@@ -42,7 +42,7 @@ target = x86_64-unknown-unknown
b=`basename \$i` ; \
f=$tftp/toolchains/default/\$b; \
echo \$b: 1>&2; \
-curl -# -f -L -z \$f -o \$f $toolchain_url/\$i; \
+curl -# --fail --location --time-cond \$f -o \$f $toolchain_url/\$i; \
ln -sf \$b `sed -n -re 's/^\(.+\)-$version\(\\..+\)?\(\\.zip|\\.tar\\..+\|-.+)/\\1\\3/p' <<<\$f`; \
done" <"$archives" 2>|